<?php
/**
* CBSubs (TM): Community Builder Paid Subscriptions Plugin: ciccreditmutuel
* @version $Id: notif.php 1465 2012-07-10 17:37:13Z beat $
* @package CBSubs (TM) Community Builder Plugin for Paid Subscriptions (TM)
* @subpackage CICCreditMutuel - notif.php
* @author Krileon
* @copyright (C) 2007-2012 Lightning MultiCom SA - www.joomlapolis.com - and its licensors, all rights reserved
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/

$spacer								=	DIRECTORY_SEPARATOR;
$path								=	'components' . $spacer . 'com_comprofiler' . $spacer . 'plugin' . $spacer . 'user' . $spacer . 'plug_cbpaidsubscriptions' . $spacer . 'processors' . $spacer . 'ciccreditmutuel';
$root								=	str_replace( $path, '', dirname(__FILE__) );

if ( file_exists( $root . '/index.php' ) ) {
	global $_REQUEST, $_GET, $_SERVER;

	$reference						=	(int) ( isset( $_REQUEST['reference'] ) ? $_REQUEST['reference'] : '0' );
	$ids							=	explode( '-', $reference, 2 );
	$gateway						=	(int) $ids[0];

	if ( $gateway ) {
		$_REQUEST['option']				=	'com_comprofiler';
		$_REQUEST['task']				=	'pluginclass';
		$_REQUEST['plugin']				=	'cbpaidsubscriptions';
		$_REQUEST['cbpgacctno']			=	$gateway;
		$_REQUEST['result']				=	'notify';
		$_REQUEST['format']				=	'raw';
	
		$_GET['option']					=	'com_comprofiler';
		$_GET['task']					=	'pluginclass';
		$_GET['plugin']					=	'cbpaidsubscriptions';
		$_GET['cbpgacctno']				=	$gateway;
		$_GET['result']					=	'notify';
		$_GET['format']					=	'raw';

		if ( $_GET ) foreach ( $_GET as $k => $v ) {
			$_POST[$k]					=	$v;
		}

		$index							=	$root . '/index.php';

		$_SERVER['SCRIPT_FILENAME']		=	$index;
		$_SERVER['REQUEST_URI']			=	str_replace( $path . $spacer . 'notif.php', '', $_SERVER['REQUEST_URI'] );
		$_SERVER['SCRIPT_NAME']			=	str_replace( $path . $spacer . 'notif.php', 'index.php', $_SERVER['SCRIPT_NAME'] );
		$_SERVER['PHP_SELF']			=	str_replace( $path . $spacer . 'notif.php', 'index.php', $_SERVER['PHP_SELF'] );

		require_once( $index );
	} else {
		header( 'HTTP/1.0 501 Not Implemented' );
	}
} else {
	header( 'HTTP/1.0 404 Not Found' );
	exit();
}
?>